LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 01-30-2010, 12:09 PM   #1
Skullnick
LQ Newbie
 
Registered: Jan 2010
Posts: 1

Rep: Reputation: 0
E: Sub-process /usr/bin/dpkg returned an error code (1)


Hello,
I'm new to Linux. Anyway, I'm trying to customize my BackTrack4 image so I can use the live disk with my ati graphic card. While trying to put the drivers with the apt-get install ati-driver command, I get the following message:

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
ati-driver
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 0B/17.8MB of archives.
After this operation, 86.0MB of additional disk space will be used.
(Reading database ... 233992 files and directories currently installed.)
Unpacking ati-driver (from .../ati-driver_9.5-bt2_i386.deb) ...
Replacing files in old package libgl1-mesa-glx ...
Replacing files in old package xserver-xorg-core ...
dpkg: error processing /var/cache/apt/archives/ati-driver_9.5-bt2_i386.deb (--unpack):
trying to overwrite `/usr/lib/libGL.so', which is also in package libgl1-mesa-dev
Processing triggers for man-db ...
Errors were encountered while processing:
/var/cache/apt/archives/ati-driver_9.5-bt2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

I tried everything that I could find searching the net, but I couldn't solve the problem. Does anyone have an idea how to solve the problem?

Thanks.
 
Old 01-30-2010, 12:14 PM   #2
AlucardZero
Senior Member
 
Registered: May 2006
Location: USA
Distribution: Debian
Posts: 4,652

Rep: Reputation: 536Reputation: 536Reputation: 536Reputation: 536Reputation: 536Reputation: 536
Code:
dpkg: error processing /var/cache/apt/archives/ati-driver_9.5-bt2_i386.deb (--unpack):
trying to overwrite `/usr/lib/libGL.so', which is also in package libgl1-mesa-dev
I'd try uninstalling libgl1-mesa-dev.
 
Old 01-30-2010, 12:27 PM   #3
evo2
Guru
 
Registered: Jan 2009
Location: Japan
Distribution: Mostly Debian and Scientific Linux
Posts: 5,590

Rep: Reputation: 1228Reputation: 1228Reputation: 1228Reputation: 1228Reputation: 1228Reputation: 1228Reputation: 1228Reputation: 1228Reputation: 1228
If both those packages are from the backtrack repos (official packages) you should file a bug.

Evo2.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Sub-Process /usr/bin/dpkg returned an error code (1) Bookspoppa Debian 39 11-12-2013 02:21 PM
E: Sub-process /usr/bin/dpkg returned an error code (1) acm321 Linux - Newbie 2 11-10-2008 11:32 PM
E: Sub-process /usr/bin/dpkg returned an error code (1) shogun1234 Linux - Software 1 05-17-2008 10:03 AM
Sub-process /usr/bin/dpkg returned an error code kako13 Debian 2 05-15-2008 07:01 PM
Sub-process /usr/bin/dpkg returned an error code (1) rapattack Debian 10 04-25-2008 12:19 AM


All times are GMT -5. The time now is 10:24 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration